# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# parseunit_byteio.h File Reference

`#include <map>`
`#include <string>`
`#include "byteio.h"`

Go to the source code of this file.

## Classes

- class dirac::ParseUnitByteIO
    Represents a collection of data in a Dirac bytestream that can be parsed as a self-contained unit. More...

## Namespaces

- namespace dirac

    Definition of class SequenceHeaderByteIO.

## Enumerations

- enum dirac::ParseUnitType {
  dirac::PU_SEQ_HEADER = 0, dirac::PU_PICTURE, dirac::PU_END_OF_SEQUENCE, dirac::PU_AUXILIARY_DATA,
  dirac::PU_PADDING_DATA, dirac::PU_CORE_PICTURE, dirac::PU_LOW_DELAY_PICTURE, dirac::PU_UNDEFINED
  }

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.